Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services
Interface Service

All Superinterfaces:
  Initable

All Known Subinterfaces:
  AssemblerBrokerService, AvalonComponentService, JsonRpcService, JspService, NamingService, PullService, RunDataService, ScheduleService, SecurityService, ServletService, SessionService, TemplateService, UIService, UniqueIdService, VelocityService

All Known Implementing Classes:
  BaseSecurityService, BaseService, BaseTemplateEngineService, BaseUnicastRemoteService, LDAPSecurityService, TorqueSecurityService, TurbineAssemblerBrokerService, TurbineAvalonComponentService, TurbineBaseService, TurbineJsonRpcService, TurbineJspService, TurbineNamingService, TurbineNonPersistentSchedulerService, TurbinePullService, TurbineRunDataService, TurbineSchedulerService, TurbineServletService, TurbineSessionService, TurbineTemplateService, TurbineUIService, TurbineUniqueIdService, TurbineVelocityService, TurbineYaafiComponentService

    public interface Service

extends Initable

`Services` are `Initables` that have a name, and a set of properties.

Version:
  $Id: Service.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Greg Ritter, Brett McLaughlin, Kevin Burton, Rafal Krzewski, Daniel Rall

Field Summary
`static String` | `SERVICE_NAME` The name of this service.

Method Summary
`org.apache.commons.configuration.Configuration` | `getConfiguration()` Returns the Configuration of this Service.
`String` | `getName()` Returns the name of this Service.
`Properties` | `getProperties()` Returns the Properties of this Service.
`void` | `setName(String name)` ServiceBroker uses this method to pass a Service its name.
`void` | `setServiceBroker(ServiceBroker broker)` Provides a Service with a reference to the ServiceBroker that instantiated this object, so that it can ask for its properties and access other Services.

Methods inherited from interface org.apache.turbine.services.Initable
`getInit, init, init, setInitableBroker, shutdown`

Field Detail

### SERVICE_NAME

    static final String SERVICE_NAME

  The name of this service.

  See Also:
    Constant Field Values

Method Detail

### setServiceBroker

    void setServiceBroker(ServiceBroker broker)

  Provides a Service with a reference to the ServiceBroker that instantiated this object, so that it can ask for its properties and access other Services.

  Parameters:
    `broker` - The ServiceBroker that instantiated this object.

### setName

    void setName(String name)

  ServiceBroker uses this method to pass a Service its name. Service uses its name to ask the broker for an apropriate set of Properties.

  Parameters:
    `name` - The name of this Service.

### getName

    String getName()

  Returns the name of this Service.

  Returns:
    The name of this Service.

### getProperties

    Properties getProperties()

  Returns the Properties of this Service. Every Service has at least one property, which is "classname", containing the name of the class implementing this service. Note that the service may chose to alter its properties, therefore they may be different from those returned by ServiceBroker.

  Returns:
    The properties of this Service.

### getConfiguration

    org.apache.commons.configuration.Configuration getConfiguration()

  Returns the Configuration of this Service. Every Service has at least one property, which is "classname", containing the name of the class implementing this service. Note that the service may chose to alter its configuration, therefore they may be different from those returned by ServiceBroker.

  Returns:
    The Configuration of this Service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.